Get inmail credit balance
This API allows the authenticated premium user to fetch inmail credit balance. InMail credits are monthly message allotments provided to LinkedIn Premium members that allow them to contact other members outside their network. The number of credits received each month depends on the account type and these can be accumulated over time up to a specific maximum limit. A unique feature of this system is that any InMail that is accepted, declined, or responded to within 90 days is credited back to your balance.
POST /api/v1/recruiter_inmail_credits
Headers
| Name | Type | Required |
|---|---|---|
x-api-key | string | Yes |
x-api-secret | string | Yes |
Request Body
Schema
accountIdstringrequiredThe unique identifier of the WeLink account.
contract_idstringrequiredThe contract identifier for Recruiter accounts.
Sample Request
{
"accountId": "string",
"contract_id": "string"
}
Responses
Webhook Events
Schema
statusstringStatus indicating the request completed successfully (e.g. "SUCCESS").
requestIdstringUnique identifier for the request.
resultobjectThe response payload.
credit_balancenumber
next_refresh_datenumber
Sample Response
{
"status": "SUCCESS",
"requestId": "string",
"result": {
"credit_balance": 0,
"next_refresh_date": 0
}
}